import 'package:flutter/material.dart';
import 'package:flutter_sdk/values/color.dart';


ThemeData ZEtheme = ThemeData(
    fontFamily: 'Poppins',
    backgroundColor: ZEColor.Background,
    bottomNavigationBarTheme: _bottomNavigationBarTheme,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    bottomSheetTheme: BottomSheetThemeData(
      backgroundColor: ZEColor.White,
      modalBackgroundColor: Color(0x5508233D),
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.only(topLeft: Radius.circular(32), topRight: Radius.circular(32)))
    ),
    accentColor: ZEColor.Green,
    appBarTheme: AppBarTheme(
        color: ZEColor.Background,
        elevation: 0
    ),
    //bottomAppBarTheme: BottomAppBarTheme
);

BottomNavigationBarThemeData _bottomNavigationBarTheme =  BottomNavigationBarThemeData(
    selectedIconTheme: IconThemeData(color:ZEColor.Pink),
    selectedItemColor: ZEColor.Pink,
    unselectedIconTheme: IconThemeData(color:ZEColor.Primary[variant]),
    unselectedItemColor: ZEColor.Primary[variant],
    type: BottomNavigationBarType.fixed,
    backgroundColor: ZEColor.White
);
